| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix4_f32.c File Reference

## Functions
void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_radix4_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix4_butterfly_inverse_f32 (float32_t *pSrc, uint16_t fftLen, float32_t *pCoef, uint16_t twidCoefModifier, float32_t onebyfftLen)
void | arm_cfft_radix4_f32 (const arm_cfft_radix4_instance_f32 *S, float32_t *pSrc)
| Processing function for the floating-point Radix-4 CFFT/CIFFT. More...

## Function Documentation

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

void arm_radix4_butterfly_inverse_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | float32_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float32_t | onebyfftLen
| ) |  |

Referenced by arm_cfft_radix4_f32(), and arm_rfft_f32().